<?php
/**
 * Adds cities of Turkey to Magento2 website / Magento2 sitenize Türkiye şehirlerini ekler
 *
 * Copyright (C) 2016  Grinet
 * 
 * This file is part of Grinet/RomcityImportTurkeyCities.
 * 
 * Grinet/RomcityImportTurkeyCities is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

namespace Grinet\RomcityImportTurkeyCities\Setup;

use Magento\Framework\Setup\InstallDataInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\ModuleDataSetupInterface;

class InstallData implements InstallDataInterface
{

    /**
     * {@inheritdoc}
     */
    public function install(ModuleDataSetupInterface $setup,ModuleContextInterface $context) 
    {

        $this->lang_codes = array(
                                'tr_TR',
                                'en_US',
                                'en_GB',
                                'de_DE',
        );

		$lang_codes=array(
							"tr_TR",
							"en_US",
							"en_GB",
							"de_DE",
							"fr_FR",
						);

		$sehir_arr=array(
						"01" => array("adi" => "Adana",			"ilceler" => array("Aladağ","Ceyhan","Çukurova","Feke","İmamoğlu","Karaisalı","Karataş","Kozan","Pozantı","Saimbeyli","Sarıçam","Seyhan","Tufanbeyli","Yumurtalık","Yüreğir",                                                                                                                                                                                                                                                                                                            )),         
						"02" => array("adi" => "Adıyaman",		"ilceler" => array("Besni","Çelikhan","Gerger","Gölbaşı","Kahta","Samsat","Sincik","Tut",                                                                                                                                                                                                                                                                                                                                                                                                )),      
						"03" => array("adi" => "Afyon",			"ilceler" => array("Başmakçı","Bayat","Bolvadin","Çay","Çobanlar","Dazkırı","Dinar","Emirdağ","Evciler","Hocalar","İhsaniye","İscehisar","Kızılören","Sandıklı","Sinanpaşa","Sultandağı","Şuhut",                                                                                                                                                                                                                                                                                        )),         
						"04" => array("adi" => "Ağrı",			"ilceler" => array("Diyadin","Doğubayazıt","Eleşkirt","Hamur","Patnos","Taşlıçay","Tutak",                                                                                                                                                                                                                                                                                                                                                                                               )),          
						"05" => array("adi" => "Amasya",		"ilceler" => array("Göynücek","Gümüşhacıköy","Hamamözü","Merzifon","Suluova","Taşova",                                                                                                                                                                                                                                                                                                                                                                                                   )),        
						"06" => array("adi" => "Ankara",		"ilceler" => array("Akyurt","Altındağ","Ayaş","Bala","Beypazarı","Çamlıdere","Çankaya","Çubuk","Elmadağ","Etimesgut","Evren","Gölbaşı","Güdül","Haymana","Kalecik","Kazan","Keçiören","Kızılcahamam","Mamak","Nallıhan","Polatlı","Pursaklar","Sincan","Şereflikoçhisar","Yenimahalle",                                                                                                                                                                                                  )),        
						"07" => array("adi" => "Antalya",		"ilceler" => array("Akseki","Aksu","Alanya","Demre","Döşemealtı","Elmalı","Finike","Gazipaşa","Gündoğmuş","İbradı","Kaş","Kemer","Kepez","Konyaaltı","Korkuteli","Kumluca","Manavgat","Muratpaşa","Serik",                                                                                                                                                                                                                                                                               )),       
						"08" => array("adi" => "Artvin",		"ilceler" => array("Ardanuç","Arhavi","Borçka","Hopa","Murgul","Şavşat","Yusufeli",                                                                                                                                                                                                                                                                                                                                                                                                      )),        
						"09" => array("adi" => "Aydın",			"ilceler" => array("Bozdoğan","Buharkent","Çine","Didim","Efeler","Germencik","İncirliova","Karacasu","Karpuzlu","Koçarlı","Köşk","Kuşadası","Kuyucak","Nazilli","Söke","Sultanhisar","Yenipazar",                                                                                                                                                                                                                                                                                       )),         
						"10" => array("adi" => "Balikesir",		"ilceler" => array("Altıeylül","Ayvalık","Balya","Bandırma","Bigadiç","Burhaniye","Dursunbey","Edremit","Erdek","Gömeç","Gönen","Havran","İvrindi","Karesi","Kepsut","Manyas","Marmara","Savaştepe","Sındırgı","Susurluk",                                                                                                                                                                                                                                                               )),     
						"11" => array("adi" => "Bilecik",		"ilceler" => array("Bozüyük","Gölpazarı","İnhisar","Osmaneli","Pazaryeri","Söğüt","Yenipazar",                                                                                                                                                                                                                                                                                                                                                                                           )),       
						"12" => array("adi" => "Bingöl",		"ilceler" => array("Adaklı","Genç","Karlıova","Kiğı","Solhan","Yayladere","Yedisu",                                                                                                                                                                                                                                                                                                                                                                                                      )),        
						"13" => array("adi" => "Bitlis",		"ilceler" => array("Adilcevaz","Ahlat","Güroymak","Hizan","Mutki","Tatvan",                                                                                                                                                                                                                                                                                                                                                                                                              )),        
						"14" => array("adi" => "Bolu",			"ilceler" => array("Dörtdivan","Gerede","Göynük","Kıbrıscık","Mengen","Mudurnu","Seben","Yeniçağa",                                                                                                                                                                                                                                                                                                                                                                                      )),          
						"15" => array("adi" => "Burdur",		"ilceler" => array("Ağlasun","Altınyayla","Bucak","Çavdır","Çeltikçi","Gölhisar","Karamanlı","Kemer","Tefenni","Yeşilova",                                                                                                                                                                                                                                                                                                                                                               )),        
						"16" => array("adi" => "Bursa",			"ilceler" => array("Büyükorhan","Gemlik","Gürsu","Harmancık","İnegöl","İznik","Karacabey","Keles","Kestel","Mudanya","Mustafa Kemal Paşa","Nilüfer","Orhaneli","Orhangazi","Osmangazi","Yenişehir","Yıldırım",                                                                                                                                                                                                                                                                           )),         
						"17" => array("adi" => "Çanakkale",		"ilceler" => array("Ayvacık","Bayramiç","Biga","Bozcaada","Çan","Eceabat","Ezine","Gelibolu","Gökçeada","Lapseki","Yenice",                                                                                                                                                                                                                                                                                                                                                              )),     
						"18" => array("adi" => "Çankırı",		"ilceler" => array("Atkaracalar","Bayramören","Çerkeş","Eldivan","Ilgaz","Kızılırmak","Korgun","Kurşunlu","Orta","Şabanözü","Yapraklı",                                                                                                                                                                                                                                                                                                                                                  )),       
						"19" => array("adi" => "Çorum",			"ilceler" => array("Alaca","Bayat","Boğazkale","Dodurga","İskilip","Kargı","Laçin","Mecitözü","Oğuzlar","Ortaköy","Osmancık","Sungurlu","Uğurludağ",                                                                                                                                                                                                                                                                                                                                     )),         
						"20" => array("adi" => "Denizli",		"ilceler" => array("Acıpayam","Babadağ","Baklan","Bekilli","Beyağaç","Bozkurt","Buldan","Çal","Çameli","Çardak","Çivril","Güney","Honaz","Kale","Merkezefendi","Pamukkale","Sarayköy","Serinhisar","Tavas",                                                                                                                                                                                                                                                                              )),       
						"21" => array("adi" => "Diyarbakir",	"ilceler" => array("Bağlar","Bismil","Çermik","Çınar","Çüngüş","Dicle","Eğil","Ergani","Hani","Hazro","Kayapınar","Kocaköy","Kulp","Lice","Silvan","Sur","Yenişehir",                                                                                                                                                                                                                                                                                                                    )),    
						"22" => array("adi" => "Edirne",		"ilceler" => array("Enez","Havsa","İpsala","Keşan","Lalapaşa","Meriç","Süloğlu","Uzunköprü",                                                                                                                                                                                                                                                                                                                                                                                             )),        
						"23" => array("adi" => "Elazığ",		"ilceler" => array("Ağın","Alacakaya","Arıcak","Baskil","Karakoçan","Keban","Kovancılar","Maden","Palu","Sivrice",                                                                                                                                                                                                                                                                                                                                                                       )),        
						"24" => array("adi" => "Erzincan",		"ilceler" => array("Çayırlı","İliç","Kemah","Kemaliye","Otlukbeli","Refahiye","Tercan","Üzümlü",                                                                                                                                                                                                                                                                                                                                                                                         )),      
						"25" => array("adi" => "Erzurum",		"ilceler" => array("Aşkale","Aziziye","Çat","Hınıs","Horasan","İspir","Karaçoban","Karayazı","Köprüköy","Narman","Oltu","Olur","Palandöken","Pasinler","Pazaryolu","Şenkaya","Tekman","Tortum","Uzundere","Yakutiye",                                                                                                                                                                                                                                                                    )),       
						"26" => array("adi" => "Eskişehir",		"ilceler" => array("Alpu","Beylikova","Çifteler","Günyüzü","Han","İnönü","Mahmudiye","Mihalgazi","Mihalıççık","Odunpazarı","Sarıcakaya","Seyitgazi","Sivrihisar","Tepebaşı",                                                                                                                                                                                                                                                                                                             )),     
						"27" => array("adi" => "Gaziantep",		"ilceler" => array("Araban","İslahiye","Karkamış","Nizip","Nurdağı","Oğuzeli","Şahinbey","Şehitkamil","Yavuzeli",                                                                                                                                                                                                                                                                                                                                                                        )),     
						"28" => array("adi" => "Giresun",		"ilceler" => array("Alucra","Bulancak","Çamoluk","Çanakçı","Dereli","Doğankent","Espiye","Eynesil","Görele","Güce","Keşap","Piraziz","Şebinkarahisar","Tirebolu","Yağlıdere",                                                                                                                                                                                                                                                                                                            )),       
						"29" => array("adi" => "Gümüşhane",		"ilceler" => array("Kelkit","Köse","Kürtün","Şiran","Torul",                                                                                                                                                                                                                                                                                                                                                                                                                             )),     
						"30" => array("adi" => "Hakkari",		"ilceler" => array("Çukurca","Şemdinli","Yüksekova",                                                                                                                                                                                                                                                                                                                                                                                                                                     )),       
						"31" => array("adi" => "Hatay",			"ilceler" => array("Altınözü","Antakya","Arsuz","Belen","Defne","Dörtyol","Erzin","Hassa","İskenderun","Kırıkhan","Kumlu","Payas","Reyhanlı","Samandağ","Yayladağı",                                                                                                                                                                                                                                                                                                                     )),         
						"32" => array("adi" => "Isparta",		"ilceler" => array("Aksu","Atabey","Eğirdir","Gelendost","Gönen","Keçiborlu","Senirkent","Sütçüler","Şarkikaraağaç","Uluborlu","Yalvaç","Yenişarbademli",                                                                                                                                                                                                                                                                                                                                )),       
						"33" => array("adi" => "İçel",			"ilceler" => array("Akdeniz","Anamur","Aydıncık","Bozyazı","Çamlıyayla","Erdemli","Gülnar","Mezitli","Mut","Silifke","Tarsus","Toroslar","Yenişehir",                                                                                                                                                                                                                                                                                                                                    )),          
						"34" => array("adi" => "İstanbul",		"ilceler" => array("Adalar","Arnavutköy","Ataşehir","Avcılar","Bağcılar","Bahçelievler","Bakırköy","Başakşehir","Bayrampaşa","Beşiktaş","Beykoz","Beylikdüzü","Beyoğlu","Büyükçekmece","Çatalca","Çekmeköy","Esenler","Esenyurt","Eyüp","Fatih","Gaziosmanpaşa","Güngören","Kadıköy","Kağıthane","Kartal","Küçükçekmece","Maltepe","Pendik","Sancaktepe","Sarıyer","Silivri","Sultanbeyli","Sultangazi","Şile","Şişli","Tuzla","Ümraniye","Üsküdar","Zeytinburnu",                       )),      
						"35" => array("adi" => "İzmir",			"ilceler" => array("Aliağa","Balçova","Bayındır","Bayraklı","Bergama","Beydağ","Bornova","Buca","Çeşme","Çiğli","Dikili","Foça","Gaziemir","Güzelbahçe","Karabağlar","Karaburun","Karşıyaka","Kemalpaşa","Kınık","Kiraz","Konak","Menderes","Menemen","Narlıdere","Ödemiş","Seferihisar","Selçuk","Tire","Torbalı","Urla",                                                                                                                                                               )),         
						"36" => array("adi" => "Kars",			"ilceler" => array("Akyaka","Arpaçay","Digor","Kağızman","Sarıkamış","Selim","Susuz",                                                                                                                                                                                                                                                                                                                                                                                                    )),          
						"37" => array("adi" => "Kastamonu",		"ilceler" => array("Abana","Ağlı","Araç","Azdavay","Bozkurt","Cide","Çatalzeytin","Daday","Devrekani","Doğanyurt","Hanönü","İhsangazi","İnebolu","Küre","Pınarbaşı","Seydiler","Şenpazar","Taşköprü","Tosya",                                                                                                                                                                                                                                                                            )),     
						"38" => array("adi" => "Kayseri",		"ilceler" => array("Akkışla","Bünyan","Develi","Felahiye","Hacılar","İncesu","Kocasinan","Melikgazi","Özvatan","Pınarbaşı","Sarıoğlan","Sarız","Talas","Tomarza","Yahyalı","Yeşilhisar",                                                                                                                                                                                                                                                                                                 )),       
						"39" => array("adi" => "Kırklareli",	"ilceler" => array("Babaeski","Demirköy","Kofçaz","Lüleburgaz","Pehlivanköy","Pınarhisar","Vize",                                                                                                                                                                                                                                                                                                                                                                                        )),    
						"40" => array("adi" => "Kırşehir",		"ilceler" => array("Akçakent","Akpınar","Boztepe","Çiçekdağı","Kaman","Mucur",                                                                                                                                                                                                                                                                                                                                                                                                           )),      
						"41" => array("adi" => "Kocaeli",		"ilceler" => array("Başiskele","Çayırova","Darıca","Derince","Dilovası","Gebze","Gölcük","İzmit","Kandıra","Karamürsel","Kartepe","Körfez",                                                                                                                                                                                                                                                                                                                                              )),       
						"42" => array("adi" => "Konya",			"ilceler" => array("Ahırlı","Akören","Akşehir","Altınekin","Beyşehir","Bozkır","Cihanbeyli","Çeltik","Çumra","Derbent","Derebucak","Doğanhisar","Emirgazi","Ereğli","Güneysınır","Hadim","Halkapınar","Hüyük","Ilgın","Kadınhanı","Karapınar","Karatay","Kulu","Meram","Sarayönü","Selçuklu","Seydişehir","Taşkent","Tuzlukçu","Yalıhüyük","Yunak",                                                                                                                                      )),         
						"43" => array("adi" => "Kütahya",		"ilceler" => array("Altıntaş","Aslanapa","Çavdarhisar","Domaniç","Dumlupınar","Emet","Gediz","Hisarcık","Pazarlar","Simav","Şaphane","Tavşanlı",                                                                                                                                                                                                                                                                                                                                         )),       
						"44" => array("adi" => "Malatya",		"ilceler" => array("Akçadağ","Arapgir","Arguvan","Battalgazi","Darende","Doğanşehir","Doğanyol","Hekimhan","Kale","Kuluncak","Pütürge","Yazıhan","Yeşilyurt","Ahmetli","Akhisar",                                                                                                                                                                                                                                                                                                        )),       
						"45" => array("adi" => "Manisa",		"ilceler" => array("Alaşehir","Demirci","Gölmarmara","Gördes","Kırkağaç","Köprübaşı","Kula","Salihli","Sarıgöl","Saruhanlı","Selendi","Soma","Şehzadeler","Turgutlu","Yunusemre",                                                                                                                                                                                                                                                                                                        )),        
						"46" => array("adi" => "Kahramanmaraş", "ilceler" => array("Afşin","Andırın","Çağlayancerit","Dulkadiroğlu","Ekinözü","Elbistan","Göksun","Nurhak","Onikişubat","Pazarcık","Türkoğlu",                                                                                                                                                                                                                                                                                                                                           )), 
						"47" => array("adi" => "Mardin",		"ilceler" => array("Artuklu","Dargeçit","Derik","Kızıltepe","Mazıdağı","Midyat","Nusaybin","Ömerli","Savur","Yeşilli",                                                                                                                                                                                                                                                                                                                                                                   )),        
						"48" => array("adi" => "Muğla",			"ilceler" => array("Bodrum","Dalaman","Datça","Fethiye","Kavaklıdere","Köyceğiz","Marmaris","Menteşe","Milas","Ortaca","Seydikemer","Ula","Yatağan",                                                                                                                                                                                                                                                                                                                                     )),         
						"49" => array("adi" => "Muş",			"ilceler" => array("Bulanık","Hasköy","Korkut","Malazgirt","Varto",                                                                                                                                                                                                                                                                                                                                                                                                                      )),           
						"50" => array("adi" => "Nevşehir",		"ilceler" => array("Acıgöl","Avanos","Derinkuyu","Gülşehir","Hacıbektaş","Kozaklı","Ürgüp",                                                                                                                                                                                                                                                                                                                                                                                              )),      
						"51" => array("adi" => "Niğde",			"ilceler" => array("Altunhisar","Bor","Çamardı","Çiftlik","Ulukışla",                                                                                                                                                                                                                                                                                                                                                                                                                    )),         
						"52" => array("adi" => "Ordu",			"ilceler" => array("Akkuş","Altınordu","Aybastı","Çamaş","Çatalpınar","Çaybaşı","Fatsa","Gölköy","Gülyalı","Gürgentepe","İkizce","Kabadüz","Kabataş","Korgan","Kumru","Mesudiye","Perşembe","Ulubey","Ünye",                                                                                                                                                                                                                                                                             )),          
						"53" => array("adi" => "Rize",			"ilceler" => array("Ardeşen","Çamlıhemşin","Çayeli","Derepazarı","Fındıklı","Güneysu","Hemşin","İkizdere","İyidere","Kalkandere","Pazar",                                                                                                                                                                                                                                                                                                                                                )),          
						"54" => array("adi" => "Sakarya",		"ilceler" => array("Adapazarı","Akyazı","Arifiye","Erenler","Ferizli","Geyve","Hendek","Karapürçek","Karasu","Kaynarca","Kocaali","Pamukova","Sapanca","Serdivan","Söğütlü","Taraklı",                                                                                                                                                                                                                                                                                                   )),       
						"55" => array("adi" => "Samsun",		"ilceler" => array("19 Mayıs","Alaçam","Asarcık","Atakum","Ayvacık","Bafra","Canik","Çarşamba","Havza","İlkadım","Kavak","Ladik","Salıpazarı","Tekkeköy","Terme","Vezirköprü","Yakakent",                                                                                                                                                                                                                                                                                                )),        
						"56" => array("adi" => "Siirt",			"ilceler" => array("Baykan","Eruh","Kurtalan","Pervari","Şirvan","Tillo",                                                                                                                                                                                                                                                                                                                                                                                                                )),         
						"57" => array("adi" => "Sinop",			"ilceler" => array("Ayancık","Boyabat","Dikmen","Durağan","Erfelek","Gerze","Saraydüzü","Türkeli",                                                                                                                                                                                                                                                                                                                                                                                       )),         
						"58" => array("adi" => "Sivas",			"ilceler" => array("Akıncılar","Altınyayla","Divriği","Doğanşar","Gemerek","Gölova","Gürün","Hafik","İmranlı","Kangal","Koyulhisar","Suşehri","Şarkışla","Ulaş","Yıldızeli","Zara",                                                                                                                                                                                                                                                                                                      )),         
						"59" => array("adi" => "Tekirdağ",		"ilceler" => array("Çerkezköy","Çorlu","Ergene","Hayrabolu","Malkara","Marmara Ereğlisi","Muratlı","Saray","Süleymanpaşa","Şarköy",                                                                                                                                                                                                                                                                                                                                                      )),      
						"60" => array("adi" => "Tokat",			"ilceler" => array("Almus","Artova","Başçiftlik","Erbaa","Niksar","Pazar","Reşadiye","Sulusaray","Turhal","Yeşilyurt","Zile",                                                                                                                                                                                                                                                                                                                                                            )),         
						"61" => array("adi" => "Trabzon",		"ilceler" => array("Akçaabat","Araklı","Arsin","Beşikdüzü","Çarşıbaşı","Çaykara","Dernekpazarı","Düzköy","Hayrat","Köprübaşı","Maçka","Of","Ortahisar","Sürmene","Şalpazarı","Tonya","Vakfıkebir","Yomra",                                                                                                                                                                                                                                                                               )),       
						"62" => array("adi" => "Tunceli",		"ilceler" => array("Çemişgezek","Hozat","Mazgirt","Nazımiye","Ovacık","Pertek","Pülümür",                                                                                                                                                                                                                                                                                                                                                                                                )),       
						"63" => array("adi" => "Şanlıurfa",		"ilceler" => array("Akçakale","Birecik","Bozova","Ceylanpınar","Eyyübiye","Halfeti","Haliliye","Harran","Hilvan","Karaköprü","Siverek","Suruç","Viranşehir",                                                                                                                                                                                                                                                                                                                             )),     
						"64" => array("adi" => "Uşak",			"ilceler" => array("Banaz","Eşme","Karahallı","Sivaslı","Ulubey",                                                                                                                                                                                                                                                                                                                                                                                                                        )),          
						"65" => array("adi" => "Van",			"ilceler" => array("Bahçesaray","Başkale","Çaldıran","Çatak","Edremit","Erciş","Gevaş","Gürpınar","İpekyolu","Muradiye","Özalp","Saray","Tuşba",                                                                                                                                                                                                                                                                                                                                         )),           
						"66" => array("adi" => "Yozgat",		"ilceler" => array("Akdağmadeni","Aydıncık","Boğazlıyan","Çandır","Çayıralan","Çekerek","Kadışehri","Saraykent","Sarıkaya","Sorgun","Şefaatli","Yenifakılı","Yerköy",                                                                                                                                                                                                                                                                                                                    )),        
						"67" => array("adi" => "Zonguldak",		"ilceler" => array("Alaplı","Çaycuma","Devrek","Ereğli","Gökçebey",                                                                                                                                                                                                                                                                                                                                                                                                                      )),     
						"68" => array("adi" => "Aksaray",		"ilceler" => array("Ağaçören","Eskil","Gülağaç","Güzelyurt","Ortaköy","Sarıyahşi",                                                                                                                                                                                                                                                                                                                                                                                                       )),       
						"69" => array("adi" => "Bayburt",		"ilceler" => array("Aydıntepe","Demirözü",                                                                                                                                                                                                                                                                                                                                                                                                                                               )),       
						"70" => array("adi" => "Karaman",		"ilceler" => array("Ayrancı","Başyayla","Ermenek","Kazımkarabekir","Sarıveliler",                                                                                                                                                                                                                                                                                                                                                                                                        )),       
						"71" => array("adi" => "Kırıkkale",		"ilceler" => array("Bahşili","Balışeyh","Çelebi","Delice","Karakeçili","Keskin","Sulakyurt","Yahşihan",                                                                                                                                                                                                                                                                                                                                                                                  )),     
						"72" => array("adi" => "Batman",		"ilceler" => array("Beşiri","Gercüş","Hasankeyf","Kozluk","Sason",                                                                                                                                                                                                                                                                                                                                                                                                                       )),        
						"73" => array("adi" => "Şırnak",		"ilceler" => array("Beytüşşebap","Cizre","Güçlükonak","İdil","Silopi","Uludere",                                                                                                                                                                                                                                                                                                                                                                                                         )),        
						"74" => array("adi" => "Bartın",		"ilceler" => array("Amasra","Kurucaşile","Ulus",                                                                                                                                                                                                                                                                                                                                                                                                                                         )),        
						"75" => array("adi" => "Ardahan",		"ilceler" => array("Çıldır","Damal","Göle","Hanak","Posof",                                                                                                                                                                                                                                                                                                                                                                                                                              )),       
						"76" => array("adi" => "Iğdır",			"ilceler" => array("Aralık","Karakoyunlu","Tuzluca",                                                                                                                                                                                                                                                                                                                                                                                                                                     )),         
						"77" => array("adi" => "Yalova",		"ilceler" => array("Altınova","Armutlu","Çiftlikköy","Çınarcık","Termal",                                                                                                                                                                                                                                                                                                                                                                                                                )),        
						"78" => array("adi" => "Karabük",		"ilceler" => array("Eflani","Eskipazar","Ovacık","Safranbolu","Yenice",                                                                                                                                                                                                                                                                                                                                                                                                                  )),       
						"79" => array("adi" => "Kilis",			"ilceler" => array("Elbeyli","Musabeyli","Polateli",                                                                                                                                                                                                                                                                                                                                                                                                                                     )),         
						"80" => array("adi" => "Osmaniye",		"ilceler" => array("Bahçe","Düziçi","Hasanbeyli","Kadirli","Sumbas","Toprakkale",                                                                                                                                                                                                                                                                                                                                                                                                        )),      
						"81" => array("adi" => "Düzce",			"ilceler" => array("Akçakoca","Cumayeri","Çilimli","Gölyaka","Gümüşova","Kaynaşlı","Yığılca",	                                                                                                                                                                                                                                                                                                                                                                                         )),        
						);



		foreach ($data as $row) {
			$region_name = $row[2];
			$bind = ['country_id' => $row[0], 'code' => $row[1], 'default_name' => $this->tr2en($region_name)];
			$setup->getConnection()->insert($setup->getTable('directory_country_region'), $bind);

			$regionId = $setup->getConnection()->lastInsertId($setup->getTable('directory_country_region'));

			foreach ($this->lang_codes as $lang_code) 
			{    
				if ($lang_code != 'tr_TR') {
					$region_name = $this->tr2en($region_name);
				} // if sonu
				
				$bind = ['locale' => $lang_code, 'region_id' => $regionId, 'name' => $region_name];
				$setup->getConnection()->insert($setup->getTable('directory_country_region_name'), $bind);

			} // foreach sonu
		} // foreach sonu


		$table_region		= $installer->getTable('directory_country_region');
		$table_region_name	= $installer->getTable('directory_country_region_name');
		$table_city			= $installer->getTable('eadesign_romcity');

		//Update attribute sort order
		$conn	= $setup->getConnection();
		$db		= $conn->getConfig();

		$sql="ALTER TABLE $table_city ADD COLUMN city_code VARCHAR(16) NULL AFTER region_id;";$conn->query($sql);
		$sql="ALTER TABLE $table_city ADD KEY CITY_CODE (city_code);";$conn->query($sql);

		foreach ($sehir_arr as $region_code => $reg) 
		{
			$sql="SELECT * FROM $table_region WHERE country_id = 'TR' AND code = '".$region_code."'";
			
			$data = $conn->query($sql)->fetch();

			if (@$data['region_id'] > 0) 
			{
				$region_id = $data['region_id'];
			} // if sonu
			else 
			{
				$sql="INSERT INTO $table_region (`country_id`, `code`, `default_name`) VALUES ('TR', '".$region_code."', '".$reg['adi']."');";
				$data = $conn->query($sql);

				$region_id = $conn->lastInsertId();
				
				foreach ($lang_codes as $lang) 
				{
					if ($lang != "tr_TR") {$region_adi =turkce_cevir($reg['adi']);} else {$region_adi = $reg['adi'];} 
					
					$sql="INSERT INTO $table_region_name (`locale`, `region_id`, `name`) VALUES ('".$lang."', '".$region_id."', '".$region_adi."')";
					$data = $conn->query($sql);
											
				} // foreach sonu

			} // else sonu

			$ilce_kodu = 100;
			/// Ilceleri ekle
			foreach ($reg['ilceler'] as $ilce) 
			{
				$ilce_kodu++;
				$sql="INSERT INTO $table_city (`entity_id`, `region_id`, `city`) VALUES (null, '".$region_id."', '".$region_code."-".$ilce_kodu."', '".$ilce."');";
				$data = $conn->query($sql);
			} // foreach sonu

		} // foreach sonu
		

    }

    // #######################################################################################################
    public function tr2en($text) 
    {

        $trans=array(
         "Ç" => "C",
         "Ğ" => "G",
         "İ" => "I",
         "Ö" => "O",
         "Ş" => "S",
         "Ü" => "U",
         "ç" => "c",
         "ğ" => "g",
         "ı" => "i",
         "ö" => "o",
         "ş" => "s",
         "ü" => "u",
                    );
        
        return strtr($text, $trans);

    } // function sonu #######################################################################################


}
